# SSN repositories

An overview of all repositories related to the patcher (SSN).

```plaintext
 ssn-auto   ssn-manager
     |           |
     |-----------|
           |
      ssn-database         ssn-tools
           |                  |
           |------------------|
                    |
                   ssn
                    |
              ssn-installer
```

## Libraries

- `argument-parser`: Abstracts parsing and verification of command line arguments. Used by `ssn-tools`.
- `ssn`: A Node.js library that exports various functions to download and parse SSN files, both low-level and high-level.
- `ssn-database`: Abstracts the data storage from `ssn-auto` and `ssn-manager`.
- `ssn-installer`: A low-level tool for extracting patch files. Used by `ssn` and not recommended to call on its own; better to use the higher-level functions from `ssn`.

## Endpoints

- `ssn-auto`: A command line tool that automatically checks for and installs new patches. Intended to be run as a cron job.
- `ssn-manager`: A GUI version of `ssn-auto` for debugging patch failures.
- `ssn-tools`: Various command line tools for debugging SSN without writing code. More low-level than `ssn-manager`.
